Ask Your Question
1

No handlers could be found for logger "oslo_config.cfg"

asked 2015-03-03 23:20:11 -0500

Janki gravatar image

updated 2015-03-04 00:34:32 -0500

dbaxps gravatar image

nova-manage service list command throws following error.

No handlers could be found for logger "oslo_config.cfg"
2015-03-04 10:37:57.292 16849 ERROR stevedore.extension [-] Could not load 'file': cannot import name util
2015-03-04 10:37:57.293 16849 ERROR stevedore.extension [-] cannot import name util
2015-03-04 10:37:57.293 16849 TRACE stevedore.extension Traceback (most recent call last):
2015-03-04 10:37:57.293 16849 TRACE stevedore.extension   File "/usr/local/lib/python2.7/dist-packages/stevedore/extension.py", line 162, in _load_plugins
2015-03-04 10:37:57.293 16849 TRACE stevedore.extension     verify_requirements,
2015-03-04 10:37:57.293 16849 TRACE stevedore.extension   File "/usr/local/lib/python2.7/dist-packages/stevedore/extension.py", line 185, in _load_one_plugin
2015-03-04 10:37:57.293 16849 TRACE stevedore.extension     plugin = ep.load(require=verify_requirements)
2015-03-04 10:37:57.293 16849 TRACE stevedore.extension   File "/usr/lib/python2.7/dist-packages/pkg_resources.py", line 2088, in load
2015-03-04 10:37:57.293 16849 TRACE stevedore.extension     entry = __import__(self.module_name, globals(),globals(), ['__name__'])
2015-03-04 10:37:57.293 16849 TRACE stevedore.extension   File "/usr/lib/python2.7/dist-packages/nova/image/download/file.py", line 23, in <module>
2015-03-04 10:37:57.293 16849 TRACE stevedore.extension     import nova.virt.libvirt.utils as lv_utils
2015-03-04 10:37:57.293 16849 TRACE stevedore.extension   File "/usr/lib/python2.7/dist-packages/nova/virt/libvirt/__init__.py", line 15, in <module>
2015-03-04 10:37:57.293 16849 TRACE stevedore.extension     from nova.virt.libvirt import driver
2015-03-04 10:37:57.293 16849 TRACE stevedore.extension   File "/usr/lib/python2.7/dist-packages/nova/virt/libvirt/driver.py", line 59, in <module>
2015-03-04 10:37:57.293 16849 TRACE stevedore.extension     from eventlet import util as eventlet_util
2015-03-04 10:37:57.293 16849 TRACE stevedore.extension ImportError: cannot import name util
2015-03-04 10:37:57.293 16849 TRACE stevedore.extension 
Binary           Host                                 Zone             Status     State Updated_At

I tried upgrading it sudo pip install --upgrade oslo.config yet throws the same error.

Setup is 3 node Icehouse release. OS is Ubuntu14.04.

edit retag flag offensive close merge delete

3 answers

Sort by ยป oldest newest most voted
1

answered 2015-06-22 10:37:29 -0500

Yaron gravatar image

updated 2015-06-22 10:38:12 -0500

Nailed it thanks to Wu Hong Guang (whg) from the Launchpad bug report saying that the config should use log_dir=... instead of logdir=...

As easy as: sed -i "s/\(log\)\(dir\)/\1_\2/g" /etc/nova/nova.conf

Solved my problem (same error as yours).

Bug report on Ubuntu: https://bugs.launchpad.net/nova/+bug/1450291 (https://bugs.launchpad.net/nova/+bug/...)

Kind regards and thank you all!

edit flag offensive delete link more

Comments

Today's date is 12/6/2015 I am an openstack noob and this fixed my problem. I did restart my controller node after I made this change. Yes I know I probably didn't have to but I wasn't sure what I needed to do. After reboot it I was able to run "su -s /bin/sh -c "nova-manage db sync" nova" no outer

Steve_Yu gravatar imageSteve_Yu ( 2015-12-06 23:02:19 -0500 )edit

oh wait looking up I see that I still get the error but it no longer segfaults on me. hmmm

Steve_Yu gravatar imageSteve_Yu ( 2015-12-06 23:03:47 -0500 )edit
0

answered 2015-03-04 04:56:12 -0500

Hi Janki, can you check for the version of eventlet package? from the error I see utils file is missing from eventlet package. Post your eventlet version.

edit flag offensive delete link more

Comments

Had to reimage the setup...Thanks for your help though

Janki gravatar imageJanki ( 2015-03-05 00:32:13 -0500 )edit
0

answered 2015-03-04 03:56:37 -0500

dbaxps gravatar image

What says sudo pip install eventlet ?

edit flag offensive delete link more

Comments

Hey I done "sudo pip install eventlet" and "sudo pip install --upgrade eventlet" but still i am getting same error which is mention in the question. all service is running fine i can see the :-) symbol.

Rocky gravatar imageRocky ( 2015-03-11 01:06:44 -0500 )edit

Can you launch CirrOS VM ?

dbaxps gravatar imagedbaxps ( 2015-03-11 01:44:55 -0500 )edit

I changed logdir to log_dir and i installed eventlet. But i am getting the same error "NO handlers could be found for logger oslo_config.cfg". please help

aksan gravatar imageaksan ( 2015-12-01 22:25:14 -0500 )edit

hi, I am getting same error please tell me how did you solved it?

Humayun Kabir gravatar imageHumayun Kabir ( 2017-07-18 10:35:13 -0500 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Get to know Ask OpenStack

Resources for moderators

Question Tools

1 follower

Stats

Asked: 2015-03-03 23:20:11 -0500

Seen: 14,138 times

Last updated: Jun 22 '15